import * as React from "react";
var useIsomorphicLayoutEffect = typeof window === "undefined" ? React.useEffect : React.useLayoutEffect;
var useGetScrollbarWidth = function () {
    var scrollbarWidth = React.useRef(0);
    useIsomorphicLayoutEffect(function () {
        var dummy = document.createElement("div");
        dummy.style.width = "100px";
        dummy.style.height = "100px";
        dummy.style.overflow = "scroll";
        dummy.style.position = "absolute";
        dummy.style.top = "-9999px";
        dummy.setAttribute("aria-hidden", "true");
        dummy.setAttribute("role", "presentation");
        document.body.appendChild(dummy);
        scrollbarWidth.current = dummy.offsetWidth - dummy.clientWidth;
        document.body.removeChild(dummy);
    }, []);
    var getScrollBarWidth = React.useCallback(function () { return scrollbarWidth.current; }, []);
    return getScrollBarWidth;
};
export default useGetScrollbarWidth;
